package com.hzya.frame.mdm.mdmModuleDistributeDetail.entity;

import java.util.Date;
import com.hzya.frame.web.entity.BaseEntity;
/**
 * 主数据功能应用分发明细表(MdmModuleDistributeDetail)实体类
 *
 * @author makejava
 * @since 2024-06-19 10:34:58
 */
public class MdmModuleDistributeDetailEntity extends BaseEntity {
 
  /**  主数据模版ID */
   private String mdmId;
  /**  应用分发id */
   private String distributeId;
  /**  接口id */
   private String apiId;
  /**  数据类型 1、新增2、修改3、删除 */
   private String dataType;
  /**  左括号 */
   private String leftBracket;
  /**  字段id */
   private String filedId;
  /**  字段名 */
   private String filedName;
  /**  对比类型 1、等于 2、不等于 3、大于 4、小于 */
   private String compareType;
  /**  目标API字段默认值 */
   private String filedVaule;
  /**  连接符号 1\and 2\or */
   private String connectionSymbol;
  /**  右括号 */
   private String rightParenthesis;
  /**  公司id */
   private String companyId;


    public String getMdmId() {
        return mdmId;
    }

    public void setMdmId(String mdmId) {
        this.mdmId = mdmId;
    }

    public String getDistributeId() {
        return distributeId;
    }

    public void setDistributeId(String distributeId) {
        this.distributeId = distributeId;
    }

    public String getApiId() {
        return apiId;
    }

    public void setApiId(String apiId) {
        this.apiId = apiId;
    }

    public String getDataType() {
        return dataType;
    }

    public void setDataType(String dataType) {
        this.dataType = dataType;
    }

    public String getLeftBracket() {
        return leftBracket;
    }

    public void setLeftBracket(String leftBracket) {
        this.leftBracket = leftBracket;
    }

    public String getFiledId() {
        return filedId;
    }

    public void setFiledId(String filedId) {
        this.filedId = filedId;
    }

    public String getFiledName() {
        return filedName;
    }

    public void setFiledName(String filedName) {
        this.filedName = filedName;
    }

    public String getCompareType() {
        return compareType;
    }

    public void setCompareType(String compareType) {
        this.compareType = compareType;
    }

    public String getFiledVaule() {
        return filedVaule;
    }

    public void setFiledVaule(String filedVaule) {
        this.filedVaule = filedVaule;
    }

    public String getConnectionSymbol() {
        return connectionSymbol;
    }

    public void setConnectionSymbol(String connectionSymbol) {
        this.connectionSymbol = connectionSymbol;
    }

    public String getRightParenthesis() {
        return rightParenthesis;
    }

    public void setRightParenthesis(String rightParenthesis) {
        this.rightParenthesis = rightParenthesis;
    }

    public String getCompanyId() {
        return companyId;
    }

    public void setCompanyId(String companyId) {
        this.companyId = companyId;
    }

}

